#!/bin/sh

set -e
set -x

# copy default service configuration file to system-specific configuration
cp /lib/systemd/system/nimble.service /etc/systemd/system/nimble.service

# change user from root to nimble
sed -i 's/User=root/User=nimble/' /etc/systemd/system/nimble.service

# reload service configuration
systemctl daemon-reload

# stop nimble service
systemctl stop nimble

# change owner of already created log, cache and configuration files
chown -R nimble:root /var/log/nimble
chown -R nimble:root /var/cache/nimble
chown -R nimble:root /etc/nimble/rules.conf

# start nimble service
systemctl start nimble

set +x

echo ""
echo "To restore default configuration when Nimble is running as root"
echo "delete /etc/systemd/system/nimble.service file and then "
echo "run 'systemctl daemon-reload' and 'systemctl restart nimble'."
